if not veritasreborn then
    return
end

-- Day and Night 3 support
local mod_path = tostring(TastNightDayRebornPDTHAddon._mod_path)

Hooks:Add( "LocalizationManagerPostInit" , "veritasLocalizationPDTH" , function( self )
    self:add_localized_strings({
		["veritas_pdth_default"] = "PDTH Default",
        ["veritas_pdth_env_pdth_apartment"] = "PDTH Panic Room",
		["veritas_pdth_env_pdth_bank"] = "PDTH First World Bank",
		["veritas_pdth_env_pdth_bridge2"] = "PDTH Green Bridge",
		["veritas_pdth_env_pdth_diamond2"] = "PDTH The Diamond",
		["veritas_pdth_env_pdth_l4d"] = "PDTH No Mercy",
		["veritas_pdth_env_pdth_slaughterhouse"] = "PDTH Slaughterhouse",
		["veritas_pdth_env_pdth_street"] = "PDTH Heat Street",
		["veritas_pdth_env_pdth_suburbia"] = "PDTH Counterfeit",
		["veritas_pdth_env_pdth_undercover"] = "PDTH Undercover"
    })
end)

if not PackageManager:loaded("packages/pdthenvaddon") then
    PackageManager:load("packages/pdthenvaddon")
end

Hooks:Add("BeardLibCreateScriptDataMods", "VeritasPDTHAddonCallBeardLibSequenceFuncs", function()

	BeardLib:ReplaceScriptData(mod_path .. "assets/environments/pdth_default.environment", "custom_xml", "environments/pdth_default", "environment", true)
	BeardLib:ReplaceScriptData(mod_path .. "assets/environments/env_apartment.environment", "custom_xml", "environments/env_pdth_apartment", "environment", true)
	BeardLib:ReplaceScriptData(mod_path .. "assets/environments/env_bank.environment", "custom_xml", "environments/env_pdth_bank", "environment", true)
	BeardLib:ReplaceScriptData(mod_path .. "assets/environments/env_bridge2.environment", "custom_xml", "environments/env_pdth_bridge2", "environment", true)
	BeardLib:ReplaceScriptData(mod_path .. "assets/environments/env_diamond2.environment", "custom_xml", "environments/env_pdth_diamond2", "environment", true)
	BeardLib:ReplaceScriptData(mod_path .. "assets/environments/env_l4d.environment", "custom_xml", "environments/env_pdth_l4d", "environment", true)
	BeardLib:ReplaceScriptData(mod_path .. "assets/environments/env_slaughterhouse.environment", "custom_xml", "environments/env_pdth_slaughterhouse", "environment", true)
	BeardLib:ReplaceScriptData(mod_path .. "assets/environments/env_street.environment", "custom_xml", "environments/env_pdth_street", "environment", true)
	BeardLib:ReplaceScriptData(mod_path .. "assets/environments/env_suburbia.environment", "custom_xml", "environments/env_pdth_suburbia", "environment", true)
	BeardLib:ReplaceScriptData(mod_path .. "assets/environments/env_undercover.environment", "custom_xml", "environments/env_pdth_undercover", "environment", true)
end)